Subject: bug#1995 closed by Chong Yidong <[email-masked]> (Re: no emacs server variable `server-name')

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 23 Jan 2009 05:00:03 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1995: no emacs server variable `server-name'

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
1995: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1995
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: no emacs server variable `server-name'
From: Chong Yidong <[email-masked]>
To: Juanma Barranquero <[email-masked]>
Cc: Harry Putnam <[email-masked]>, [email-masked]
Date: Thu, 22 Jan 2009 23:54:13 -0500

> you're right: the documentation states that it is
> settable with set-variable, and it is not. At the very least it should
> be
>
>   (defvar server-name "server"
>      "*Name of the server process.")
>   (put 'server-name 'variable-interactive "M")
>
> if not a defcustom.

I don't see any problem with making server-name a defcustom, so I went
ahead and did that.

Subject: Re: no emacs server variable `server-name'
From: Juanma Barranquero <[email-masked]>
To: Harry Putnam <[email-masked]>
Cc: [email-masked], Emacs Bug Tracker <[email-masked]>
Date: Fri, 23 Jan 2009 01:03:03 +0100

Package: emacs
Version: 23.0.60

> Reading parts of the documentation I see:
> (info "(emacs)Emacs Server")
>     You can run multiple Emacs servers on the same machine by giving
>  each one a unique "server name", using the variable `server-name'.
>  For example, `M-x set-variable <RET> server-name <RET> foo <RET>'
>  sets the server name to `foo'.  The `emacsclient' program can
>  specify a server by name, using the `-s' option (*note emacsclient
>  Options::).

There are several ways to set it (with --daemon=myname, or --eval, or
M-: (setq ...)), but you're right: the documentation states that it is
settable with set-variable, and it is not. At the very least it should
be

  (defvar server-name "server"
     "*Name of the server process.")
  (put 'server-name 'variable-interactive "M")

if not a defcustom.

    Juanma